Request
Endpoint: CollectSSL
https://secure.trust-provider.com/products/download/CollectSSL
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
|
Do not make multiple concurrent calls to the |
Request parameters
The following table displays the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
|
optional |
sting |
128 chars |
The order number previously returned to your account (for example, from the |
|
optional |
integer |
16 digits |
The certificate ID previously returned by |
|
optional |
integer |
The base order number previously returned to the account. |
|
|
required |
integer |
Specifies the type of query. The possible values are:
|
|
|
optional |
integer |
Specifies the format of the returned certificate data. The possible values are:
|
|
|
optional |
integer |
Specifies the encoding of the returned certificate data. The possible values are:
|
|
|
optional |
char |
1 char |
Specifies the validity period of the certificate. The possible values are:
If omitted, the value defaults to |
|
optional |
char |
1 char |
Specifies whether to show the fully qualified domain name (FQDN). The possible values are:
If omitted, the value defaults to |
|
optional |
char |
1 char |
Specifies whether to include the certificate and validation statuses. The possible values are:
If omitted, the value defaults to |
|
optional |
char |
1 char |
Specifies the format of the response. The possible values are:
If omitted, the value defaults to Relevant when |
|
optional |
char |
1 char |
Specifies whether to include the paired information of domain name and DCV validation status. The possible values are:
If omitted, the value defaults to Applicable for multi domain certificates. |
|
optional |
char |
1 char |
Specifies whether to include the paired list of domains and their DCV statuses, including domains awaiting brand validation status The possible values are:
If omitted, the value defaults to Applicable for multi domain certificates. |
|
optional |
char |
1 char |
Specifies whether to include status details in the report. The possible values are:
If omitted, the value defaults to |
|
optional |
integer |
Specifies the version of behavior for handling replaced certificates. The possible values are:
|
Sample request
curl --location 'https://secure.trust-provider.com/products/download/CollectSSL' \ --data-urlencode 'loginName=login_name' \ --data-urlencode 'loginPassword=login_password' \ --data-urlencode 'orderNumber=order_number' \ --data-urlencode 'queryType=0' \ --data-urlencode 'showStatusDetails=Y' \ --data-urlencode 'responseType=3' \ --data-urlencode 'responseFormat=1' \ --data-urlencode 'showExtStatus=Y' \ --data-urlencode 'showValidityPeriod=Y'
Response
The request is successful when the server returns a response with the status code is greater than or equal to 0:
-
2— Certificates attached. -
1— Certificates available. -
0— Being processed by Sectigo.
Any status code less than 0 indicates an error condition.
|
The list of codes and their descriptions can be found in Error codes. |
The response format depends on the value of the responseFormat parameter in the request.
The response can be in the following formats:
-
Newline-delimited parameters.
-
URL-encoded parameters.
Newline-delimited parameters response format
The MIME type will be text/plain, if the responseFormat=0 (by default).
The first line of the response represents the status code.
If the status code is less than 0, the second line is a textual representation of an error message.
If the status code is greater than 0 and showValidityPeriod=Y, the second line is the certificate validity period in the format not before DD/MM/YYYY and not after DD/MM/YYYY with a space between the dates.
14/05/2013 13/05/2014
|
Certificates issued by Sectigo always have a 'not before' time of 00:00:00 GMT and a 'not after' time of 23:59:59 GMT. |
If the status code equals 0 and showFQDN=Y, the response contains the fully qualified domain name of the SSL certificate.
If the status code equals 2, the response contains the encoded certificate(s):
----- BEGIN CERTIFICATE -----
Encoded Root Certificate
----- END CERTIFICATE -----
----- BEGIN CERTIFICATE -----
Encoded Intermediate Certificate
----- END CERTIFICATE -----
----- BEGIN CERTIFICATE -----
Encoded End Entity Certificate
---- END CERTIFICATE -----
If the request has showExtStatus=Y parameter, the response contains the certificate status and the validation status.
The possible values for the certificate status are:
-
Awaiting Validation.
-
Issued.
-
Revoked.
-
NO STATUS.
The possible values for the validation status are:
-
Complete.
-
Awaiting Legal Documents.
-
Awaiting Document Translation.
-
Awaiting private WHOIS entry release.
-
Awaiting Brand Validation.
If the status code equals 0 and showMDCDomainDetails=Y, the response contains the MDC domain details in the format domain name and DCV valid status with a space between them.
The values are comma-separated.
domain1.com VALIDATED, domain2.com NOTVALIDATED
Response parameters
If the request has showStatusDetails=Y parameter, the response contains the following information:
| Parameter | Possible Value |
|---|---|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
If the status code = 0 and showMDCDomainDetails2=Y, the response contains the MDC domain details in the format domain name and DCV valid status with a space between them.
The values are comma-separated.
domain1.com VALIDATED, domain2.com NOTVALIDATED
If CAA Check status is not empty, the response can contain the following values for this parameter:
-
Authorized.
-
Not Authorized.
-
Unrecognized Critical Tag.
-
Empty.
-
Malformed Response.
-
Timeout.
-
ERROR.
-
Awaiting Completion.
-
Error
xxx(numeric value of CAA Check status).
If the status code > 0 and showValidityPeriod=Y, the response includes the timestamp of the product term start and the product term separated with space.
The timestamp is expressed as a UNIX time value.
The following example illustrates the timestamp between 29/10/2025 and 29/10/2026.
1761696000 1793232000
URL-encoded parameters response format
Most of Sectigo’s newer APIs always use URL-encoding for responses.
CollectSSL can be instructed to return responses in the same format, simply by specifying responseFormat=1 in the request.
The MIME type will be application/x-www-form-urlencoded, if the responseFormat=1.
The list of response parameters are outlined in the following table.
| Parameter | Description |
|---|---|
|
A numeric code that identifies the type of the error. The parameter is an integer. For more information, see Error codes. |
|
A description of the error. The parameter is a string. This parameter is not present when |
|
The timestamp indicates when the certificate became valid. It is expressed as a UNIX time value. This parameter is only present when |
|
The timestamp indicates when the certificate will become invalid. It is expressed as a UNIX time value. This parameter is only present when |
|
The certificate duration in days. This parameter is only present when |
|
The timestamp indicates when the product term began. It is expressed as a UNIX time value. This parameter is only present when |
|
The timestamp indicates when the product term will end. It is expressed as a UNIX time value. This parameter is only present when |
|
The product duration in days. This parameter is only present when |
|
The fully qualified domain name of this SSL certificate. This parameter is only present when |
|
Base64-encoded and then URL-encoded ZIP file. This parameter is only present when |
|
Base64-encoded and then URL-encoded Netscape Certificate Sequence. This parameter is only present when |
|
Base64-encoded and then URL-encoded PKCS#7. This parameter is only present when |
|
Base64-encoded and then URL-encoded CA Certificate. This parameter is only present when This parameter will appear multiple times –- once for each CA Certificate in the certificate chain. |
|
Base64-encoded and then URL-encoded End-entity Certificate. This parameter is only present when |
|
A string describing the current status of the certificate. |
|
A string describing the current validation status of the order or account. |
|
A URL-encoded string containing the paired information of domain name and DCV Validation Status. This parameter is only present when the status code = |
|
A URL-encoded string containing the paired information of domain name and DCV Validation Status. This parameter is only present when the status Code = |
|
The CSR status of the certificate. The possible values are:
This parameter is only present when |
|
The DCV status of the certificate. The possible values are:
This parameter is only present when |
|
The OV callback status of the account. The possible values are:
This parameter is only present when |
|
A string describing the current status of account validation (OV). The possible values are:
This parameter is only present when |
|
The status of Free DV Upgrade. The possible values are:
This parameter is only present when |
|
The status of EV ClickThrough Acceptance. The possible values are:
This parameter is only present when |
|
The brand validation status. The possible values are:
This parameter is only present when |
|
A string describing the CAA Check status. The possible values are:
|
Error codes
The following table outlines error responses returned by the CollectSSL API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The provided value for the 'xxxx' argument is invalid. |
|
|
An unknown error occurred. |
|
|
Authentication has failed due to one of the specified reasons. Verify your login credentials or check account restrictions. |
|
|
The request method should be |
|
|
The requested certificate is in the rejected state. |
|
|
The requested certificate is in the revoked state. |
|
|
The payment for the order is still pending. |
|
|
The user does not have permission to use the voucher with the specified parameter. |
|
|
The user does have the permission to perform the specified action. |